Ralf

Feb 2008

Eine Version übersprungen

RapidFLV
Nachdem ich eigentlich schon meine Pluginversion 0.4 fertiggestellt hatte, stand ich wieder mal vor dem Problem, dass ich reichlich Code schreiben musste, damit die aktuelle Version auch die Daten der älteren Versionen laden kann. Nach einigem überlegen kam mir dann die Idee wie ich das ganze so gestalten kann, dass sich diese Problem zukünftig umgehen lässt. Es folgte eine große Umbauaktion des gesamten Codes. Dabei habe ich dann einen kleinen aber verzwickten Fehler eingebaut, der mich für Wochen aufgehalten hat. Dank der erneuten großen Unterstützung durch Scott Mackie, dem Entwickler von RapidAlbum, konnte ich das Problem aber endlich ausmachen und beseitigen. Für mich hat sich der Umbau auf jeden fall gelohnt, und so war der Einbau von neuen Funktionen anschließend ein leichtes. Erkaufen musste ich mir das ganze allerdings damit, dass die aktuelle Version 0.5 nicht Daten von älteren Versionen laden kann. Zukünftig dürfte dieses Problem dank des Umbaus aber nicht mehr passieren.

Zur RapidFLV Seite.
|